FLASHPROXY-REG-URL(1)

NAME
flashproxy-reg-url - Register with a facilitator using an indirect URL

SYNOPSIS

flashproxy-reg-url [OPTIONS] REMOTE[:PORT]

DESCRIPTION

Print a URL, which, when retrieved, will cause the client address REMOTE[:PORT] to be registered with the flash proxy facilitator. The default PORT is 9000.

OPTIONS

-f, --facilitator=URL
    Register with the given facilitator (by default "https://fp-facilitator.org/").

--facilitator-pubkey=FILENAME
    Encrypt registrations to the given PEM-formatted public key (default built-in).

-h, --help
    Display help message and exit.

--transport=TRANSPORT
    Registrations include the fact that you intend to use the given TRANSPORT (default "websocket").

EXAMPLE

Say you wish to register 192.0.2.1:9000. Run

    ./flashproxy-reg-url 192.0.2.1:9000

The program should output a long string looking something like

https://fp-facilitator.org/reg/0labtDob545HeKpLZ8LqGeOi-OK7HXoQvfQzj0P2pjh1NrCKNDaPe91zo...

Copy this string and paste it into any URL fetching website or program. Once the URL is retrieved your address will be registered with the facilitator.

SEE ALSO

http://crypto.stanford.edu/flashproxy/

https://www.torproject.org/docs/pluggable-transports.html.en

BUGS

Please report using https://trac.torproject.org/projects/tor.